=== debian/control ===
Source: sysnews
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 11)
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.3
Rules-Requires-Root: binary-targets
#Vcs-Git: git://git.debian.org/git/collab-maint/sysnews.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/sysnews.git;a=summary

Package: sysnews
Architecture: any
Conflicts: news
Replaces: news
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: program to display system news
 The news command keeps you informed of news concerning the system.
 Each news item is contained in a separate file in the /var/lib/sysnews
 directory. Anyone having write permission to this directory can create
 a news file.
 .
 NOTE: This command has nothing to do with USENET news. It's more like an
 enhanced motd.
