=== debian/watch ===
version=2
https://www.ibiblio.org/pub/Linux/system/admin/login/ news-(.*).tgz
