=== debian/changelog ===
sysnews (0.9+ds.1-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
  * debian/copyright:
      - Added packaging rights for Jelmer Vernooĳ.
      - Converted the last paragraph of the GPL-2/GPL-2+ in a comment.
      - Updated packaging copyright years.
  * debian/rules: replaced override_dh_fixperms with execute_after_dh_fixperms.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 26 Jan 2026 21:14:02 -0300

sysnews (0.9+ds.1-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.9-2.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 21:22:10 +0000

sysnews (0.9+ds.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.9+ds.1.
  * Set upload to unstable.
  * debian/copyright: added a comment to explain about the upstream tarball
    repack.
  * debian/watch: added a dversionmangle to handle +ds suffix.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Aug 2021 22:18:35 -0300

sysnews (0.9-19) experimental; urgency=medium

  * QA upload.
  * Ran wrap-and-sort.
  * debian/control:
      - Added a Homepage field.
      - Bumped Standards-Version to 4.5.1.
      - Migrated DH level to 13.
      - Re-enabled Vcs fields and pointing to Salsa.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/patches/:
      - Added a numeric prefix to all patches.
      - Added the suffix '.patch' to all patches.
      - Added a header to each patch.
      - header-changes: dropped because this patch injects Debian maintainers
        names in upstream source code and modifies upstream licensing from
        GPL-2 to GPL-2+ without a previous contact with the upstream. Also,
        this patch had no practical effect on the final binary.
      - 050_fix-manpage.patch: created to fix a typo in manpage.
  * debian/README.source: removed because this file was providing a deprecated
    information.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/sysnews.lintian-overrides: renamed to lintian-overrides.
  * debian/tests/control: created to provide trivial CI tests.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped version to 4.
      - Improved the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 10 Jul 2021 12:21:34 -0300
