=== debian/watch ===
Version: 5

Source: https://www.ibiblio.org/pub/Linux/system/admin/login/
Matching-Pattern: news-(\d\S+)@ARCHIVE_EXT@
Dversionmangle: s/\+ds\.\d+//
